Bug 213596 (tclcompiler) - Review Request: tclcompiler - Tcl bytecode compiler
Summary: Review Request: tclcompiler - Tcl bytecode compiler
Status: CLOSED NEXTRELEASE
Alias: tclcompiler
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: tbcload
Blocks: FE-ACCEPT tclpro
TreeView+ depends on / blocked
 
Reported: 2006-11-02 06:19 UTC by Wart
Modified: 2009-01-28 05:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 02:16:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wart 2006-11-02 06:19:29 UTC
Spec URL: http://www.kobold.org/~wart/fedora/tclcompiler.spec
SRPM URL: http://www.kobold.org/~wart/fedora/tclcompiler-1.5-1.20061030cvs.src.rpm
Description:
Tcl bytecode compiler.  This module can be used to precompile Tcl files into Tcl's internal bytecode format for faster loading.

Note:  Upstream has not released official tarballs of this package.  When I asked about it, they said they did not have time for generating official releases and that CVS snapshots should be used instead.

Comment 2 Paul F. Johnson 2006-11-08 00:47:14 UTC
rpmlint is clean
builds cleanly in mock

Good
Consistent use of macros
includes clean
no md5 as it's a cvs checkout
naming correct for cvs checkout
uses smp_mflags
no -devel file
rpms have no dependency problems
includes documentation
no problems with the version number

APPROVED


Comment 3 Wart 2006-11-08 02:16:16 UTC
Imported and built.  Closing.

Thanks!

Comment 4 Wart 2009-01-28 00:56:24 UTC
Package Change Request
======================
Package Name: tclcompiler
New Branches: EL-4 EL-5
Owners: wart

Comment 5 Kevin Fenzi 2009-01-28 05:51:41 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.